/*
 *stdio.h

	Information:
	
	Warning:
		"scanf" "fscanf" "sscanf" are not based on ANSI C.
		int scanf(str format, int numofargs, args...)
		"numofargs" is number of "args...".
		Before use this command, you must initialize variable by
		the type you want to give.
			%d int
			%lf double
			%s str
		See also Example.
	
	Example:
		*scanf*
			i1 = 0
			i2 = 0
			d = 0.0
			s = ""
			scanf "%d%d%lf%s", 4, i1, i2, d, s

	Undefined:
		setbuf
		setvbuf
		vfprintf
		vprintf
		vsprintf
 */

#ifndef ___HSPCRT_STDIO_INCLUDE___
#define ___HSPCRT_STDIO_INCLUDE___

#include "hspcrt/hspcrt.as"

#module

#ifndef fpos_t
	#define global fpos_t int
#endif

#const global _IOFBF		$0000
#const global _IOLBF		$0040
#const global _IONBF		$0004
#const global BUFSIZ		512
#const global EOF			-1
#const global FILENAME_MAX	260
#const global FOPEN_MAX		20
#const global L_tmpnam		13
#const global SEEK_CUR		1
#const global SEEK_END		2
#const global SEEK_SET		0
#const global stderr		3
#const global stdin			1
#const global stdout		2
#const global TMP_MAX		32767


#cmd fopen		$0100
#cmd fclose		$0101
#cmd freopen	$0102

#cmd fgetc		$0110
#define global	getc	fgetc
#cmd getchar	$0111
#cmd fgets		$0112
#cmd gets		$0113
#cmd sscanf		$0114
#cmd fscanf		$0115
#cmd scanf		$0116

#cmd fputc		$0120
#define global 	putc	fputc
#cmd putchar	$0121
#cmd fputs		$0122
#cmd puts		$0123
#cmd sprintf	$0124
#cmd fprintf	$0125
#cmd printf		$0126

#cmd fread		$0130
#cmd fwrite		$0131

#cmd clearerr	$0150
#cmd feof		$0151
#cmd ferror		$0152
#cmd fflush		$0153
#cmd fgetpos	$0154
#cmd fseek		$0155
#cmd fsetpos	$0156
#cmd ftell		$0157
#cmd perror		$0158
#cmd remove		$0159
#cmd rename		$0160
#cmd rewind		$0161
;#cmd setbuf	$0162
;#cmd setvbuf	$0163
#cmd tmpfile	$0164
#cmd tmpnam		$0165
#cmd ungetc		$0166
;#cmd vfprintf	$0167
;#cmd vprintf	$0168
;#cmd vsprintf	$0169

#global
#endif
